require 'test/unit'

require_relative '../lib/filestr'


class FileStrTest < Test::Unit::TestCase

    def setup
        Dir.chdir 'test'
    end

    def teardown
        Dir.chdir '..'
    end

    def test_filestr
        f = "filestr.txt".to_fs

        f.u_touch
        assert_true( f.f_exist? )

        f.u_rm_f
        assert_false( f.f_exist? )
    end


    # Check that we are testing the current number of methods.
    def test_string
        String.fileStr

        f = "string.txt"

        f.u_touch
        assert_true( f.f_exist? )

        txt = "basic testing text\n"
        f.f_write txt
        assert_equal( txt, f.f_read )

        list = './'.s_glob('*')
        assert_equal( [ './string.txt', './test_all.rb' ], list )

        d = 'test_dir'
        d.d_mkdir
        assert_true( d.d_exist? )
        d.d_rmdir
        assert_false( d.d_exist? )

        fs = f.fs

        fs.u_rm_f
        assert_false( fs.f_exist? )
    end

end
